Bug 77323 - Add APIs (getElementsByXXX) to ShadowRoot IDL.
Summary: Add APIs (getElementsByXXX) to ShadowRoot IDL.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hayato Ito
URL:
Keywords:
Depends on:
Blocks: 76694
  Show dependency treegraph
 
Reported: 2012-01-30 01:45 PST by Hayato Ito
Modified: 2012-02-01 20:05 PST (History)
6 users (show)

See Also:


Attachments
Add APIs, getElementByXXX (4.28 KB, patch)
2012-01-30 01:50 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
Add expectation (5.47 KB, patch)
2012-01-30 01:53 PST, Hayato Ito
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hayato Ito 2012-01-30 01:45:44 PST
Add APIs, getElementById, getElemesntByTagName, getElementsByClassName and getElementsByTagNameNS to ShadowRoot IDL.
Comment 1 Hayato Ito 2012-01-30 01:50:00 PST
Created attachment 124511 [details]
Add APIs, getElementByXXX
Comment 2 Hayato Ito 2012-01-30 01:53:27 PST
Created attachment 124512 [details]
Add expectation
Comment 3 Dimitri Glazkov (Google) 2012-01-30 09:38:17 PST
Comment on attachment 124512 [details]
Add expectation

View in context: https://bugs.webkit.org/attachment.cgi?id=124512&action=review

> Source/WebCore/dom/ShadowRoot.idl:39
> +        [OldStyleObjC] NodeList getElementsByTagNameNS(in [ConvertNullToNullString,Optional=CallWithDefaultValue] DOMString namespaceURI,

Is [OldStyleObjC] really necessary here?
Comment 4 Hayato Ito 2012-01-31 22:19:43 PST
Comment on attachment 124512 [details]
Add expectation

View in context: https://bugs.webkit.org/attachment.cgi?id=124512&action=review

>> Source/WebCore/dom/ShadowRoot.idl:39
>> +        [OldStyleObjC] NodeList getElementsByTagNameNS(in [ConvertNullToNullString,Optional=CallWithDefaultValue] DOMString namespaceURI,
> 
> Is [OldStyleObjC] really necessary here?

I just copied these 4 function definitions from Document's IDL. haraken tole me [OldStyleObjC] is is used due to some compatibility issues in obj-C.
I don't have a clear reason to remove it, so leave it as is until we are sure we can remove it.

I am landing this patch.
Comment 5 WebKit Review Bot 2012-01-31 22:55:34 PST
Comment on attachment 124512 [details]
Add expectation

Clearing flags on attachment: 124512

Committed r106434: <http://trac.webkit.org/changeset/106434>
Comment 6 WebKit Review Bot 2012-01-31 22:55:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Hayato Ito 2012-02-01 20:05:35 PST
Note that it turned out  that [OldStyleObjC] is unnecessary.
It was removed in http://trac.webkit.org/changeset/106449.

For the record, we don't need  [OldStyleObjC] anymore for new functions even if its super class, such Document, uses it for the function with same signature of the subclass.